
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android 文件选择器详解及实例代码_Android / iVAN</title>

    <meta name="description" content="Android 文件选择器详解及实例代码_Android      本文给大家讲解下Android文件选择器的使用.实际上就是获取用户在SD卡中选择的文件或文件夹的路径,这很像C#中的OpenFileDialog控件.        此实例的实现过程很简单,这样可以让大家快速的熟悉Android文件选择器,提高开发效率.        网上曾经见到过一个关于文件选择器的实例,很多人都看过,本实例是根据它修改而成的,但更容易理解,效率也更高,另外,本实例有自己的特点:        1.监听了用户按下Back键的事件,使其返回上一层目录.       ">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android 文件选择器详解及实例代码_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>     本文给大家讲解下Android文件选择器的使用。实际上就是获取用户在SD卡中选择的文件或文件夹的路径，这很像C#中的OpenFileDialog控件。</p>
<p>       此实例的实现过程很简单，这样可以让大家快速的熟悉Android文件选择器，提高开发效率。</p>
<p>       网上曾经见到过一个关于文件选择器的实例，很多人都看过，本实例是根据它修改而成的，但更容易理解，效率也更高，另外，本实例有自己的特点：</p>
<p>     <strong>  1、监听了用户按下Back键的事件，使其返回上一层目录。</strong></p>
<p><strong>       2、针对不同的文件类型（文件vs文件夹 ， 目标文件vs其他文件）做了特殊处理。</strong></p>
<p><strong>       知识点一、 File 类的使用</strong></p>
<p>       文件选择器的主要功能是：浏览文件\文件夹、文件类型等；都是通过Java File类来实现的。</p>
<p><strong>       知识点二、调用方法说明   </strong></p>
<p>       使用了startActivityForResult()发起调用以及onActivityResult()方法接收回调后的信息。</p>
<p>       先贴上效果图如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTAyMzg0OTM4MTUxLmdpZg==.jpg"></p>
<p>       其他的也没什么好说了，大家看看代码注释吧，很简单。</p>
<p>       FileChooserActivity.java 实现文件选择的类 。</p>
<p>Java代码</p>
<pre>
public class CopyOfFileChooserActivity extends Activity { 

  private String mSdcardRootPath ; //sdcard 根路径
  private String mLastFilePath ;  //当前显示的路径 

  private ArrayList&lt;FileInfo&gt; mFileLists ;
  private FileChooserAdapter mAdatper ; 

  //配置适配器
  private void setGridViewAdapter(String filePath) {
    updateFileItems(filePath);
    mAdatper = new FileChooserAdapter(this , mFileLists);
    mGridView.setAdapter(mAdatper);
  }
  //根据路径更新数据，并且通知Adatper数据改变
  private void updateFileItems(String filePath) {
    mLastFilePath = filePath ;
    mTvPath.setText(mLastFilePath); 

    if(mFileLists == null)
      mFileLists = new ArrayList&lt;FileInfo&gt;() ;
    if(!mFileLists.isEmpty())
      mFileLists.clear() ; 

    File[] files = folderScan(filePath);
    if(files == null)
      return ;
    for (int i = 0; i &lt; files.length; i++) {
      if(files[i].isHidden()) // 不显示隐藏文件
        continue ; 

      String fileAbsolutePath = files[i].getAbsolutePath() ;
      String fileName = files[i].getName();
      boolean isDirectory = false ;
      if (files[i].isDirectory()){
        isDirectory = true ;
      }
      FileInfo fileInfo = new FileInfo(fileAbsolutePath , fileName , isDirectory) ;
      //添加至列表
      mFileLists.add(fileInfo);
    }
    //When first enter , the object of mAdatper don't initialized
    if(mAdatper != null)
      mAdatper.notifyDataSetChanged(); //重新刷新
  }
  //获得当前路径的所有文件
  private File[] folderScan(String path) {
    File file = new File(path);
    File[] files = file.listFiles();
    return files;
  }
  private AdapterView.OnItemClickListener mItemClickListener = new OnItemClickListener() {
    public void onItemClick(AdapterView&lt;?&gt; adapterView, View view, int position,
        long id) {
      FileInfo fileInfo = (FileInfo)(((FileChooserAdapter)adapterView.getAdapter()).getItem(position));
      if(fileInfo.isDirectory())  //点击项为文件夹, 显示该文件夹下所有文件
        updateFileItems(fileInfo.getFilePath()) ;
      else if(fileInfo.isPPTFile()){ //是ppt文件 ， 则将该路径通知给调用者
        Intent intent = new Intent();
        intent.putExtra(EXTRA_FILE_CHOOSER, fileInfo.getFilePath());
        setResult(RESULT_OK , intent);
        finish();
      }
      else {  //其他文件.....
        toast(getText(R.string.open_file_error_format));
      }
    }
  };
  public boolean onKeyDown(int keyCode , KeyEvent event){
    if(event.getAction() == KeyEvent.ACTION_DOWN &amp;&amp; event.getKeyCode()
      == KeyEvent.KEYCODE_BACK){
      backProcess();
      return true ;
    }
    return super.onKeyDown(keyCode, event);
  }
  //返回上一层目录的操作
  public void backProcess(){
    //判断当前路径是不是sdcard路径 ， 如果不是，则返回到上一层。
    if (!mLastFilePath.equals(mSdcardRootPath)) {
      File thisFile = new File(mLastFilePath);
      String parentFilePath = thisFile.getParent();
      updateFileItems(parentFilePath);
    }
    else {  //是sdcard路径 ，直接结束
      setResult(RESULT_CANCELED);
      finish();
    }
  }
}
</pre>
<p>       此实例的界面稍显简陋，不过大家可以在此基础上完善，添加其他功能。本实例代码下载地址：</p>
<p>http://download.csdn.net/detail/qinjuning/4825392。</p>
<p>        感谢阅读，希望能帮助到大家，谢谢大家对本站的支持！</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索android<br />
                    ，                文件选择器<br />
                                    文件选择器实例<br />
                                    android 代码写选择器、android创意实例详解、android实例代码、android 代码混淆详解、css选择器详解，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:32:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6%e9%80%89%e6%8b%a9%e5%99%a8%e5%ae%9e%e4%be%8b/" title="文件选择器实例">文件选择器实例</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6%e9%80%89%e6%8b%a9%e5%99%a8/" title="文件选择器">文件选择器</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android 文件选择器详解及实例代码_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ZV34b.html" rel="bookmark">Android GPS定位详解及实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				      GPS定位是智能手机上一个比较有意思的功能,LBS等服务都有效的利用了GPS定位功能.本文就跟大家分享下Android开发中的GPS定位知识.        一.Android基础知识准备        1.Activity类        每一种移动开发环境都有自己的基类.如J2ME应用程序的基类是midlets,BREW的基类是applets,而Android程序的基类是Activity.这个activity为我们提供了对移动操作系统的基本功能和事件的访问.这个类包含了基本的构造			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boqleXp.html" rel="bookmark">Android语音识别技术详解及实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   今天从网上找了个例子实现了语音识别,个人感觉挺好玩的,就把代码贴出来与大家分享下:          Android中主要通过RecognizerIntent来实现语音识别,其实代码比较简单,但是如果找不到设置,就会抛出异常ActivityNotFoundException,所以我们需要捕捉这个异常.而且语音识别在模拟器上是无法测试的,因为语音识别是访问google云端数据,所以如果手机的网络没有开启,就无法实现识别声音的!一定要开启手机的网络,如果手机不存在语音识别功能的话,也是无法启用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYwxG5z.html" rel="bookmark">Android ListView position详解及实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们在使用ListView的时候,一般都会为ListView添加一个响应事件android.widget.AdapterView.OnItemClickListener.对OnItemClickListener的position和id参数,我相信有些人在这上面走了些弯路.     在使用listview的时候,我们经常会在listview的监听事件中,例如OnItemClickListener(onItemClick)中,或listview的adapter中(getView.getItem.ge			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGr1qvp.html" rel="bookmark">Android listview与adapter详解及实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个ListView通常有两个职责. (1)将数据填充到布局. (2)处理用户的选择点击等操作. 第一点很好理解,ListView就是实现这个功能的.第二点也不难做到,在后面的学习中读者会发现,这非常简单. 一个ListView的创建需要3个元素. (1)ListView中的每一列的View. (2)填入View的数据或者图片等. (3)连接数据与ListView的适配器. 也就是说,要使用ListView,首先要了解什么是适配器.适配器是一个连接数据和AdapterView(ListView就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZB426z.html" rel="bookmark">ReactNative Alert详解及实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Alert顾名思义一就是一个警告框,一般使用情况比如:退出登录,清楚缓存,提示修改密码等等...ReactNative中的Alert只有一个静态方法alert()其中有四个参数:标题,信息,按钮和按钮类型 在Android按钮至多有三个 下面是使用情况: 实例代码: /** * Created by Administrator on 2016/9/12. */ import React, {Component} from 'react'; import { StyleSheet, View, T			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6gANM.html" rel="bookmark">Android ListView组件详解及示例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 列表组件 ListView 列表组件是开发中经常用到组件,使用该组件在使用时需要为它提供适配器,由适配器提供来确定显示样式和显示数据. 下面看一个例子: 新建一个项目Lesson8_ListViewTest,Activity name是MainListViewTest . MainListViewTest.java的代码是: package android.basic.lesson8; import android.app.Activity; import android.os.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Nx4Nb.html" rel="bookmark">Android 混合动画详解及实现代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 混合动画 在Android开发,我们会经常使用到动画,但是简单的一种动画(如旋转.缩放.渐变.位移等)有时候并不能满足我们项目的要求,这时候就需要运用到混合动画,那么在安卓中是如何实现一个炫酷的混合动画,下面是一个混合动画实现的其中一个实现方式: 1.首先要在res目录下建立一个anim文件,在anim建立一个hybrid.xml文件如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;set xm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7Bm8M.html" rel="bookmark">Android App增量更新详解及实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android App增量更新实例--Smart App Updates        介绍 你所看到的,是一个用于Android应用程序增量更新的开源库. 包括客户端.服务端两部分代码. 原理 自从 Android 4.1 开始,Google引入了应用程序的增量更新. Link: http://developer.android.com/about/versions/jelly-bean.html Smart app updates is a new feature of Google Pla			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlZgAp.html" rel="bookmark">Android CoordinatorLayout详解及实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android CoordinatorLayout详解 一.CoordinatorLayout有什么作用 CoordinatorLayout作为&quot;super-powered FrameLayout&quot;基本实现两个功能: 1.作为顶层布局 2.调度协调子布局 CoordinatorLayout使用新的思路通过协调调度子布局的形式实现触摸影响布局的形式产生动画效果.CoordinatorLayout通过设置子View的 Behaviors来调度子View.系统(Support V7)提供了A			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPLBDp.html" rel="bookmark" class="title">ASP实例：利用缓存提高数据显示效率</a>
					<div>
						实例演示:先建立一个简单的数据库,写个function读取一下,写入一个dim变量temp中: ASP代码 以下为引用的内容:&lt;%        Function DisplayRecords( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM15eoM.html" rel="bookmark" class="title">草船借箭法让外链无限增长</a>
					<div>
						草船借箭法让外链无限增长初次听闻链接诱饵这个词的时候,还是商摆说的.这篇姑且算作是读后感吧,一直在尝试,其中有成功也有失败,但得到的益处还是很多的.大家不妨试一下. 新闻类诱饵所在的行业,一定会有新鲜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwGdxz.html" rel="bookmark" class="title">MySQL分表实现上百万上千万记录分布存储的批量查询设计模式</a>
					<div>
						我们知道可以将一个海量记录的 MySQL 大表根据主键.时间字段,条件字段等分成若干个表甚至保存在若干服务器中. 唯一的问题就是跨服务器批量查询麻烦,只能通过应用程序来解决.谈谈在Java中的解决思路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7dddb.html" rel="bookmark" class="title">Oracle远程复制和异地容灾方案分析</a>
					<div>
						[导读]本文介绍目前针对oracle数据库远程复制和异地容灾的主要几种技术和解决方案. 目前,针对oracle数据库的远程复制.容灾主要有以下几种技术或解决方案: (1)基于存储层的容灾复制方案 这种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8gBkb.html" rel="bookmark" class="title">PS高饱和华丽梦幻色人像</a>
					<div>
						  关于高饱和摄影: 近些年日系小清新的低饱和人像一直是大众审美比较喜爱的,日系色调在人像摄影中也确实有着举足轻重的地位,追求日系色调的摄影师更是前仆后继.但我更喜欢颜色丰富夸张,影像可以令人印象深刻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXroqp.html" rel="bookmark" class="title">联通推出&OpenCurlyDoubleQuote;沃家庭&rdquo;计划五大优惠吸引用户入网</a>
					<div>
						近日,中国联通&quot;沃家庭&quot;AB计划正式上市,通过&quot;宽带+固话+2G手机&quot;与&quot;宽带+固话+2G手机+3G手机&quot;的捆绑组合模式,用户可享受包括合账 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRoY6p.html" rel="bookmark" class="title">需求一种可以使流布局居中的算法</a>
					<div>
						问题描述 需求一种可以使流布局居中的算法 之前找的算法都是一些每行排满再换下一行. 需求把流布局从中间开始排列的算法. 解决方案 问题描述得有点难理解,能详细点描述么? 我喜欢搞算法方面的,或许我可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArNAep.html" rel="bookmark" class="title">顺序队列</a>
					<div>
						SeqQueue.h template&lt;typename Type&gt; class SeqQueue{ public: SeqQueue(int sz):m_nrear(0),m_nfron ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/pP89Krp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA1MjUxMDE0NDQ2NzQ/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2WTJ4c2VuYz0vZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9DZW50ZXI=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/pP89Krp.html" rel="bookmark" class="title">p2p视频点播系统开发案例&horbar;&horbar;Myseelite</a>
					<div>
						项目地址:http://sourceforge.net/projects/myseelite/   1. MySee公司倡导的开源项目,目前国内功能最强大的一个开源系统. 2. 一个直播(也支持轮播. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwQZjp.html" rel="bookmark" class="title">asp&period;net中使用Accordion&comma;总是刷新</a>
					<div>
						问题描述 哪位高手给解决一下,Accordion控件在母版页中刷新的问题.谢谢 解决方案 解决方案二:帮顶.......解决方案三:该回复于2010-11-27 20:50:52被版主删除解决方案四: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lQ8xb.html" rel="bookmark" class="title">谁会用DV控件删除一条记录啊啊，好多都显示不出来</a>
					<div>
						问题描述 谁会用DV控件删除一条记录啊啊,好多都显示不出来 string whereClause = (_ResultLayer as IFeatureLayerDefinition).Definit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwDy5M.html" rel="bookmark" class="title">挖掘Windows 10看图的习惯用法</a>
					<div>
						Windows 10默认取消了系统自带的右键照片查看器预览图片功能,转而关联了&quot;照片&quot;应用.虽说&quot;照片&quot;应用的功能也强大,然而不少人还是习惯于传统右键照片查看方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqABD3M.html" rel="bookmark" class="title">求C&num;做的IHE IM角色，包含CFIND SCP&comma;CMOVESCP</a>
					<div>
						问题描述 求C#做的IHEIM角色,包含CFINDSCP,CMOVESCP,最好有代码,没有代码也可以,有个例子给我参考一下最好,因为我实在做不来.我的邮箱是clevergao@qq.comQQ402 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL27dp.html" rel="bookmark" class="title">JSTL提供的函数标签操作EL表达式字的符串</a>
					<div>
						在jsp页面导入标签 &lt;%@ taglib prefix=&quot;fn&quot; uri=&quot;http://java.sun.com/jsp/jstl/functions&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKlgDb.html" rel="bookmark" class="title">MFC ActiveX 控件：序列化（msdn）和属性页</a>
					<div>
						本文讨论序列化 ActiveX 控件的方法.序列化是从持久性存储媒体(如磁盘文件)中读取或向其中写入的进程.Microsoft 基础类 (MFC) 库在 CObject 类中为序列化提供内置支持.CO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKlODb.html" rel="bookmark" class="title">Spring学习笔记之aop动态代理（3）</a>
					<div>
						Spring学习笔记之aop动态代理(3) 1.0 静态代理模式的缺点: 1.在该系统中有多少的dao就的写多少的proxy,麻烦 2.如果目标接口有方法的改动,则proxy也需要改动. Person ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEq9KM.html" rel="bookmark" class="title">陌陌总注册用户数1&period;48亿，月活跃用户数 5243万</a>
					<div>
						摘要: 2013年底的时候,唐岩就通过微博表示,我们不亏钱了,谢谢各位!.彼时陌陌的注册用户刚刚突破8000万,每天活跃用户1300万,月活3500万,依靠广告.会员.贴图表情和游戏等方式,陌 201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLa28M.html" rel="bookmark" class="title">xml-SDO DataObject如何合并对象？</a>
					<div>
						问题描述 SDO DataObject如何合并对象? 我先把String类型的XML转化成DataObject 请问如何把两个结构相同的代码合并? ...... head里面的内容相同,我只是想合并b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnBD4M.html" rel="bookmark" class="title">new person-我这有段代码，我对于它的执行顺序存在疑惑，为什么在父类中创建对象的操作会先于构造器执行？</a>
					<div>
						问题描述 我这有段代码,我对于它的执行顺序存在疑惑,为什么在父类中创建对象的操作会先于构造器执行? public class Test { Person person = new Person(&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXEg9b.html" rel="bookmark" class="title">全新Q版2D仙侠网游《修真世界》夏日酷爽来袭</a>
					<div>
						全新Q版2D仙侠网游&lt;修真世界&gt;夏日酷爽来袭,秘境争锋,狼烟四起!体验神话般的美妙仙境,体验最火爆的修真战斗,尽在&lt;修真世界&gt;! 在&lt;修真世界&gt;里,修者细分为五大职 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze04G0p.html" rel="bookmark" class="title">中国公司成为引导全球IPO市场复苏的主要力量</a>
					<div>
						金融数据提供商Dealogic最新统计显示,去年全球范围内累计有1438家公司进行了IPO,募集资金达到2802亿美元,比2009年的全球融资额1148亿美元足足增加了一倍以上.这一迹象显示,全球IP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7VZjM.html" rel="bookmark" class="title">ObjectDataSource与GridView配合使用经验总结系列二：分页</a>
					<div>
						令我使用ObjectDataSource配合GridView显示数据的最重要的原因之一就是ObjectDataSource的分页功能,其实 GridView本身就自带一个分页功能,但是GridView ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmgPxz.html" rel="bookmark" class="title">团购打开空调新空间</a>
					<div>
						开团10分钟,火速销出1223台空调,引来60万人次的访问--日前,淘宝商城电器城联合淘宝团购 聚划算平台发起的&quot;空调玩定制.万人大团购&quot;在众人期待下正式开团. 据线下某知名家电连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLB0Vvb.html" rel="bookmark" class="title">iRiver展示6英寸电子书</a>
					<div>
						iRiver和LG http://www.aliyun.com/zixun/aggregation/16502.html&quot;&gt;Display合作以后成立的L&amp;I电子科技有限公司的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXd5DAp.html" rel="bookmark" class="title">名人为你制定一日游锦囊 Peek获得A轮融资500万美金</a>
					<div>
						一站式旅游网站(一日游攻略.预订.交易)Peek获得由 Montage Ventures 领投的 A 轮融资 500 万美金,之前它一度倍受关注的原因在于其种子期 140 万美金颇有声名的投资人,Tw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmArOp.html" rel="bookmark" class="title">苹果推16GB版本iPod Touch 旧款降价</a>
					<div>
						摘要: 昨天晚间,苹果官方公布消息.对iPod Touch产品线进行了小幅升级. 主要包括推出了16GB版的iPod Touch,之前iPod Touch的起始容量为32GB版,16GB版的价格为14 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YK7Pb.html" rel="bookmark" class="title">福布斯：关掉百度文库就能解决网络盗版问题吗</a>
					<div>
						10日下午,韩寒起诉百度文库一案正式在北京海淀法院开审.作家联盟的代表认为,必须关掉百度文库,因为它已经严重威胁了到作家的权益. 百度是否失责 百度文库是否失责?它是否威胁到作家的权益?这个问题其实在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmR161z.html" rel="bookmark" class="title">中小型企业的电子商务实务</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 中小型企业的电子商务实务(1)--网站推广的方式方法 我将写中小型企业的电子商务实务的四个系列,1.网站设计 2.网站推广 3.电子邮件的营销 4.电子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZRd44z.html" rel="bookmark" class="title">大神快来mc&period;exe怎么使用  就是消息编译器Message Compiler&lpar;MC&period;EXE&rpar;我怎么找不到MC&period;EXE</a>
					<div>
						问题描述 mc.exe怎么使用就是消息编译器MessageCompiler(MC.EXE)我怎么找不到MC.EXE,进CMD也找不到这个命令,他作用是把包含消息的MC文件编译成扩展名为BIN的二进制格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLLm8p.html" rel="bookmark" class="title">关于java 图形验证码的解决方法&lowbar;java</a>
					<div>
						复制代码 代码如下: package cn.response; import java.awt.Color;import java.awt.Font;import java.awt.Graphics; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
